{% extends "base.html" %}
{% load tz %}
{% block content %}

<a href="{% url 'blog:index' %}">Volver a la lista</a>

{% if post.fecha_publicacion == None %}
<form method="POST" action="{% url 'blog:detalle' post.pk %}">
    {% csrf_token %}
    <input type="hidden" value="{{post.pk}}">
    <input type="submit" value="Publicar">
</form>
{% endif %}
<div style="margin:0 auto">
    <h1 style="text-align:center"><a href="{% url 'blog:detalle' post.pk %}">{{ post.titulo }}</a></h1>
    <hr>
    <p>Publicado: {{ post.fecha_publicacion }}</p>
    <p>Autor: {{ post.autor }}</p>
    <hr>
    <p style="text-align:center"><img src="/media/{{ post.imagen }}" style="max-width:500px;"></p>
    <p>{{ post.contenido|linebreaksbr }}</p>
</div>


{% endblock content %}